function regreq

%   regreq

%   This software is protected by german copyright and international treaties.             
%   Copyright 2004 Markus Junghöfer & Peter Peyk. All Rights Reserved.                     
%                                                                                          
%   THIS SOFTWARE AND DOCUMENTATION IS PROVIDED "AS IS," AND COPYRIGHT HOLDERS MAKE        
%   NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO,    
%   WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE    
%   OF THE SOFTWARE OR DOCUMENTATION WILL NOT INFRINGE ANY THIRD PARTY PATENTS, COPYRIGHTS,
%   TRADEMARKS OR OTHER RIGHTS. COPYRIGHT HOLDERS WILL NOT BE LIABLE FOR ANY DIRECT,       
%   INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF ANY USE OF THE SOFTWARE      
%   OR DOCUMENTATION.                                                                      

global vergleichecell cellstr stufenvec 
%handles
vergleichemonitor = findobj('Tag','vergleichemonitor');
loeschenbutton = findobj('Tag','loeschenbutton');
alphapopup = findobj('Tag','alphapopup');
dimensionauswahl = 	findobj('Tag','dimensionauswahl');
cell1auswahl = findobj('Tag','cell1auswahl');
operatorpopup = findobj('Tag','operatorpopup'); 
cell2auswahl = findobj('Tag','cell2auswahl');
haureinbutton = findobj('Tag','haureinbutton');
%alpha
if iscell(get(alphapopup,'string'));
alphacell=get(alphapopup,'string');
alpha=alphacell{get(alphapopup,'Value')};
end;

%cell1
if iscell(get(cell1auswahl,'string'))
cell1cell=get(cell1auswahl,'string');
cell1str=cell1cell{get(cell1auswahl,'Value')};
cell1str=strrep(cell1str,' ','');
else
cell1str=get(cell1auswahl,'string');
cell1str=strrep(cell1str,' ','');
end

%cell2
if iscell(get(cell2auswahl,'string'))
cell2cell=get(cell2auswahl,'string');
cell2str=cell2cell{get(cell2auswahl,'Value')};
cell2str=strrep(cell2str,' ','');
else
cell2str=get(cell2auswahl,'string');
cell2str=strrep(cell2str,' ','');
end

%relation
if iscell(get(operatorpopup,'String'));
relationstring=get(operatorpopup,'String');
relation=relationstring{get(operatorpopup,'Value')};
else
relationstring=get(operatorpopup,'String');   
relation=relationstring(get(operatorpopup,'Value'));   
end


%dimension
dimensionstring=get(dimensionauswahl,'string');
dimension=dimensionstring{get(dimensionauswahl,'Value')};


vergleichemonitor = findobj('Tag','vergleichemonitor');
vergleichecell=get(vergleichemonitor,'String');
anzahlvergleiche=length(vergleichecell);


if ~(anzahlvergleiche==0)
    if isempty(vergleichecell{anzahlvergleiche})
        anzahlvergleiche=anzahlvergleiche-1;
    end
end

vergleichecell{anzahlvergleiche+1,1}=[cell1str,relation,cell2str,':',dimension,'-',alpha];

set(vergleichemonitor,'string',vergleichecell);
set(vergleichemonitor,'Value',size(vergleichecell,1));
set(vergleichemonitor,'enable','on');
set(haureinbutton,'enable','on');
set(loeschenbutton,'enable','on');

return
